Name:          classycle
Version:       1.4
Release:       9%{?dist}
Summary:       Analysing Tools for Java Class and Package Dependencies
License:       BSD
URL:           http://classycle.sourceforge.net/
# http://downloads.sourceforge.net/project/classycle/classycle1.4.zip without build file
# svn co -r209 https://classycle.svn.sourceforge.net/svnroot/classycle/trunk/Classycle/ classycle-1.4
# tar czf classycle-1.4-src-svn.tar.gz classycle-1.4
Source0:       %{name}-%{version}-src-svn.tar.gz
Source1:       http://repo1.maven.org/maven2/org/specs2/%{name}/%{version}/%{name}-%{version}.pom
# various fix
Patch0:        %{name}-%{version}-build.patch

Patch1:        %{name}-%{version}-disable-doclint.patch

BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: ant-testutil
BuildRequires: junit

BuildArch:     noarch

%description
Classycle tools analyse static class and package dependencies
of Java applications or libraries. Main features: Cyclic
dependency detection (beyond JDepend), XML report, checking layered
architectures. The tools runs from command line and as Ant tasks.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
cp -p %{SOURCE1} pom.xml
%pom_remove_dep "org.scala-lang:scala-library"

%build

# skip test for various reasons
ant jar apidoc

%install
%mvn_file org.specs2:%{name} %{name}
%mvn_artifact pom.xml target/%{name}-%{version}.jar
%mvn_install -J target/site/apidocs

%files -f .mfiles
%doc README.html
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 30 2015 gil cattaneo <puntogil@libero.it> 1.4-7
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.4-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 02 2012 gil cattaneo <puntogil@libero.it> 1.4-2
- Remove the Maven build method

* Sat Apr 14 2012 gil cattaneo <puntogil@libero.it> 1.4-1
- initial rpm
